public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrick McLean" <chutzpah@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] dev/chutzpah:master commit in: app-vim/airline/
Date: Sat,  7 Sep 2013 03:19:29 +0000 (UTC)	[thread overview]
Message-ID: <1378523956.bf8cc04e0837d99f57a6b2b3a629cd590bcdd375.chutzpah@gentoo> (raw)

commit:     bf8cc04e0837d99f57a6b2b3a629cd590bcdd375
Author:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
AuthorDate: Sat Sep  7 03:19:16 2013 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Sat Sep  7 03:19:16 2013 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=dev/chutzpah.git;a=commit;h=bf8cc04e

add 9999 for app-vim/airline

---
 app-vim/airline/Manifest            |  1 +
 app-vim/airline/airline-9999.ebuild | 28 ++++++++++++++++++++++++++++
 2 files changed, 29 insertions(+)

diff --git a/app-vim/airline/Manifest b/app-vim/airline/Manifest
new file mode 100644
index 0000000..151c6e3
--- /dev/null
+++ b/app-vim/airline/Manifest
@@ -0,0 +1 @@
+EBUILD airline-9999.ebuild 843 SHA256 e22ac1c612a40177c196ebc8fb615c7726ac4670d14e8636e17570aeef98b5cb SHA512 ad38ee45a79d9de0db0cec796c31aeb3a0b9ad9be58b1fde32ce4bc5a97be9e12681473ce898d6873fffa27c8395dbc451a3d0dbeb52f4a7e0975cc07dcc5d43 WHIRLPOOL 81de56376ec4f2be97072f3656a8018c845a6486f1b7ebb2c88104c3f2d23fe377b5440fedf00f6fb549b99ce31e43a0967b30da8df008cc63f7a4752e2414b4

diff --git a/app-vim/airline/airline-9999.ebuild b/app-vim/airline/airline-9999.ebuild
new file mode 100644
index 0000000..aace7a0
--- /dev/null
+++ b/app-vim/airline/airline-9999.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-vim/airline/airline-0.4.ebuild,v 1.1 2013/08/26 18:46:05 radhermit Exp $
+
+EAPI=5
+inherit vim-plugin
+
+if [[ ${PV} == 9999 ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/bling/vim-airline.git"
+	RESTRICT=mirror
+else
+	MY_PN=vim-${PN}
+	MY_P=${MY_PN}-${PV}
+	SRC_URI="https://github.com/bling/${MY_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+	S=${WORKDIR}/${MY_P}
+fi
+
+DESCRIPTION="vim plugin: lean & mean statusline for vim that's light as air"
+HOMEPAGE="https://github.com/bling/vim-airline/ http://www.vim.org/scripts/script.php?script_id=4661"
+LICENSE="MIT"
+
+VIM_PLUGIN_HELPFILES="${PN}.txt"
+
+src_prepare() {
+	[[ ${PV} != 9999 ]] && { rm LICENSE README* || die; }
+}


             reply	other threads:[~2013-09-07  3:19 UTC|newest]

Thread overview: 2+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2013-09-07  3:19 Patrick McLean [this message]
  -- strict thread matches above, loose matches on Subject: below --
2013-09-09 18:19 [gentoo-commits] dev/chutzpah:master commit in: app-vim/airline/ Patrick McLean

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1378523956.bf8cc04e0837d99f57a6b2b3a629cd590bcdd375.chutzpah@gentoo \
    --to=chutzpah@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox